Package org.eclipse.emf.cdo.explorer

# Interface CDOExplorerManager.ElementsChangedEvent

All Superinterfaces:
  `org.eclipse.net4j.util.event.IEvent`

Enclosing interface:
  `CDOExplorerManager<T extends CDOExplorerElement>`

public static interface CDOExplorerManager.ElementsChangedEvent extends org.eclipse.net4j.util.event.IEvent
An `event` fired from `explorer managers` when their `elements` have changed.

Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`CDOExplorerManager.ElementsChangedEvent.StructuralImpact`
Enumerates the possible `structural impacts` that `element changes` can have.

## Method Summary

Modifier and Type
Method
Description
`Object[]`
`getChangedElements()`
`CDOExplorerManager<?>`
`getSource()`
`CDOExplorerManager.ElementsChangedEvent.StructuralImpact`
`getStructuralImpact()`

## Method Details

### getSource

CDOExplorerManager<?> getSource()

Specified by:
  `getSource` in interface `org.eclipse.net4j.util.event.IEvent`

### getStructuralImpact

CDOExplorerManager.ElementsChangedEvent.StructuralImpact getStructuralImpact()

### getChangedElements

Object[] getChangedElements()